#!/usr/bin/env python3

import rospy
from rosgraph_msgs.msg import Clock

def clock_publisher():
    pub = rospy.Publisher('/clock', Clock, queue_size=10)
    rospy.init_node('clock_publisher', anonymous=True)
    rate = rospy.Rate(100) # 10hz

    while not rospy.is_shutdown():
        clock_msg = Clock()
        clock_msg.clock = rospy.Time.now()
        pub.publish(clock_msg)
        rate.sleep()
if __name__ == '__main__':
    try:
        clock_publisher()
    except rospy.ROSInterruptException:
        pass